Subject: [IPP] Updated text for IPP Finishings 2.1 Section 5.3 - review & wordsmithing help requested

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Thu, 12 Jan 2017 12:49:23 +0000

Greetings,

Here's what I have so far in updating section 5.3, but I would appreciate any editorial help on this:

5.3 job-pages-per-set (integer(1:MAX)) <>
The RECOMMENDED "job-pages-per-set" Job Template attribute specifies the number of input pages that constitute a set for finishing processes, for scenarios where the Printer does not support the "copies" attribute [RFC2911] for a given document format, and the Client generates the copies in the Document content. If the Printer supports the "copies" Job Template attribute for a given document format, the Printer SHOULD NOT support the "job-pages-per-set" attribute for that same document format. If both are supported for a given document format, when "job-pages-per-set" is specified, "copies" MUST be 1 or omitted since the purpose of the attribute is to specify that the document data contains copies generated by the Client. Specifying "job-pages-per-set" implicitly overrides any "copies" / "copies-default" value to 1. The value of "job-pages-per-set" MUST be evenly divisible with the number of Input Pages since it is being used to demarcate the length of a single copy. See the sections on the "multiple-document-handling" Job Template attribute [RFC2911] for more information on using this attribute with multiple Document Jobs.

To illustrate how the "job-pages-per-set" attribute ought to be employed, if a Client submits a 14 page PWG Raster Format [PWG5102.4] Document for printing that contains two copies of four duplex pages each, the Client might specify a "job-pages-per-set" Job Template attribute with a value of 7, a "sides" attribute with a value of 'two-sided-long-edge', and a "finishings" attribute with a value of 4 (staple) to have the Printer staple two Sets of four sheets. Figure 4 shows a graphical representation of this example.

Feedback? Changes? Alternatives?

Smith

/**
    Smith Kennedy
    Wireless Architect - Client Software - IPG-PPS
    Standards - IEEE ISTO PWG / Bluetooth SIG / Wi-Fi Alliance / NFC Forum / USB IF
    Chair, IEEE ISTO Printer Working Group
    HP Inc.
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet <[email-masked]>
Date: Sat, 14 Jan 2017 11:29:19 -0500

Smith,

How about:

5.3 job-pages-per-set (integer(1:MAX))

The RECOMMENDED "job-pages-per-set" Job Template attribute specifies the number of input pages that constitute a set for finishing processes. It is used when the Client generates the copies in the Document content because the Printer does not support the "copies" attribute [RFC2911] for the given Document format. If the Client includes the "job-pages-per-set" Job Template attribute in a Job Creation request:

- The Client SHOULD NOT include the "copies" Job Template attribute, or if included MUST use the value 1; and
- The Printer MUST ignore the value of the "copies-default" Printer Description attribute.

The value of "job-pages-per-set" MUST be evenly divisible with the number of Input Pages since it is being used to demarcate the length of a single copy or Set. See the sections on the "multiple-document-handling" Job Template attribute [RFC2911] for more information on using this attribute with multiple Document Jobs.

For example, if a Client submits a 14 page PWG Raster Format [PWG5102.4] Document for printing that contains two copies of four duplex pages each, the Client might specify a "job-pages-per-set" Job Template attribute with a value of 7, a "sides" attribute with a value of 'two-sided-long-edge', and a "finishings" attribute with a value of 4 (staple) to have the Printer staple two Sets of four sheets. Figure 4 shows a graphical representation of this example.

> On Jan 12, 2017, at 7:49 AM, Kennedy, Smith (Wireless Architect) <[email-masked]> wrote:
> 
> Greetings,
> 
> 5.3 job-pages-per-set (integer(1:MAX))
> 

_________________________________________________________
Michael Sweet, Senior Printing System Engineer

---

From: Ira McDonald <[email-masked]>
Date: Sat, 14 Jan 2017 11:57:06 -0500

Hi,

I prefer Mike's suggested text for "job-pages-per-set".  It's more clear
on the usage and conformance intent.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto: [email-masked]
Jan-April: 579 Park Place  Saline, MI  48176  734-944-0094
May-Dec: PO Box 221  Grand Marais, MI 49839  906-494-2434

On Sat, Jan 14, 2017 at 11:29 AM, Michael Sweet <[email-masked]> wrote:

> The RECOMMENDED "job-pages-per-set" Job Template attribute specifies the
> number of input pages that constitute a set for finishing processes. It is
> used when the Client generates the copies in the Document content because
> the Printer does not support the "copies" attribute [RFC2911] for the given
> Document format. If the Client includes the "job-pages-per-set" Job
> Template attribute in a Job Creation request:
>
> The value of "job-pages-per-set" MUST be evenly divisible with the number
> of Input Pages since it is being used to demarcate the length of a single
> copy or Set. See the sections on the "multiple-document-handling"
> Job Template attribute [RFC2911] for more information on using this
> attribute with multiple Document Jobs.
>
> For example, if a Client submits a 14 page PWG Raster Format [PWG5102.4]
> Document for printing that contains two copies of four duplex pages each,
> the Client might specify a "job-pages-per-set" Job Template attribute with
> a value of 7, a "sides" attribute with a value of 'two-sided-long-edge',
> and a "finishings" attribute with a value of 4 (staple) to have the Printer
> staple two Sets of four sheets. Figure 4 shows a graphical representation
> of this example.
>
>
> The RECOMMENDED "job-pages-per-set" Job Template attribute specifies the
> number of input pages that constitute a set for finishing processes, for
> scenarios where the Printer does not support the "copies"
> attribute [RFC2911] for a given document format, and the
> Client generates the copies in the Document content. If the Printer
> supports the "copies" Job Template attribute for a given document format,
> the Printer SHOULD NOT support the "job-pages-per-set" attribute for that
> same document format. If both are supported for a given document format,
> when "job-pages-per-set" is specified, "copies" MUST be 1 or omitted since
> the purpose of the attribute is to specify that the document data contains
> copies generated by the Client. Specifying "job-pages-per-set" implicitly
> overrides any "copies" / "copies-default" value to 1. The value of
> "job-pages-per-set" MUST be evenly divisible with the number of Input Pages
> since it is being used to demarcate the length of a single copy. See the
> sections on the "multiple-document-handling" Job Template attribute
> [RFC2911] for more information on using this attribute with multiple
> Document Jobs.
>
> To illustrate how the "job-pages-per-set" attribute ought to be employed,
> if a Client submits a 14 page PWG Raster Format [PWG5102.4] Document for
> printing that contains two copies of four duplex pages each, the Client
> might specify a "job-pages-per-set" Job Template attribute with a value of
> 7, a "sides" attribute with a value of 'two-sided-long-edge', and a
> "finishings" attribute with a value of 4 (staple) to have the Printer
> staple two Sets of four sheets. Figure 4 shows a graphical representation
> of this example.
>
>

---

From: "Kennedy, Smith (Wireless Architect)" <[email-masked]>
Date: Sun, 15 Jan 2017 14:44:36 +0000

I prefer Mike's version as well. I will use it as-is, and re-post an updated LCRC, unless there are any objections by end-of-day Tuesday, January 17, 2017.

Smith

/**
    Smith Kennedy

> On Jan 14, 2017, at 9:57 AM, Ira McDonald <[email-masked]> wrote:
> 
> Hi,
> 
> http://sites.google.com/site/blueroofmusic <http://sites.google.com/site/blueroofmusic>
> http://sites.google.com/site/highnorthinc <http://sites.google.com/site/highnorthinc>
> mailto: [email-masked] <mailto:[email-masked]>
> On Sat, Jan 14, 2017 at 11:29 AM, Michael Sweet <[email-masked] <mailto:[email-masked]>> wrote:
> Smith,
> 
> How about:
> 
>> On Jan 12, 2017, at 7:49 AM, Kennedy, Smith (Wireless Architect) <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Greetings,
>> 
>> [email-masked] <mailto:[email-masked]>
>> https://www.pwg.org/mailman/listinfo/ipp <https://www.pwg.org/mailman/listinfo/ipp>
> 
> [email-masked] <mailto:[email-masked]>
> https://www.pwg.org/mailman/listinfo/ipp <https://www.pwg.org/mailman/listinfo/ipp>
> 
>